osl::eval::ml::King25Mobility Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 4096 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, const CArray< int, 5 > &black, const CArray< int, 5 > &white)

## Static Private Member Functions

static int | index (int effect1, int effect2, int i)
template<Player Defense>
static int | indexX (Square king, int effect1, int effect2, int i)
template<Player Defense>
static int | indexY (Square king, int effect1, int effect2, int i)

## Static Private Attributes

static CArray< MultiInt, 4096 > | table
static CArray< MultiInt, 20480 > | x_table
static CArray< MultiInt, 36864 > | y_table

## Friends

class | King25MobilityX
class | King25MobilityY

## Detailed Description

Definition at line 848 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 853 of file kingTable.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::King25Mobility::eval | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | black,
|  | const CArray< int, 5 > & | white )

static

Definition at line 1809 of file kingTable.cc.

References osl::BLACK, index(), indexX(), indexY(), osl::SimpleState::kingSquare(), osl::CArray< T, Capacity >::size(), table, osl::WHITE, x_table, and y_table.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::King25Mobility::index | ( | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 859 of file kingTable.h.

Referenced by eval().

## indexX()

template<Player Defense>

int osl::eval::ml::King25Mobility::indexX | ( | Square | king,
|  | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 866 of file kingTable.h.

References osl::BLACK, osl::WHITE, and osl::Square::x().

Referenced by eval().

## indexY()

template<Player Defense>

int osl::eval::ml::King25Mobility::indexY | ( | Square | king,
|  | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 882 of file kingTable.h.

References osl::BLACK, and osl::Square::y().

Referenced by eval().

## setUp()

void osl::eval::ml::King25Mobility::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1782 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## King25MobilityX

friend class King25MobilityX

friend

Definition at line 850 of file kingTable.h.

References King25MobilityX.

Referenced by King25MobilityX.

## King25MobilityY

friend class King25MobilityY

friend

Definition at line 851 of file kingTable.h.

References King25MobilityY.

Referenced by King25MobilityY.

## Member Data Documentation

## table

osl::CArray< MultiInt, 4096 > osl::eval::ml::King25Mobility::table

static private

Definition at line 889 of file kingTable.h.

Referenced by eval(), and setUp().

## x_table

osl::CArray< MultiInt, 20480 > osl::eval::ml::King25Mobility::x_table

static private

Definition at line 890 of file kingTable.h.

Referenced by eval(), and osl::eval::ml::King25MobilityX::setUp().

## y_table

osl::CArray< MultiInt, 36864 > osl::eval::ml::King25Mobility::y_table

static private

Definition at line 891 of file kingTable.h.

Referenced by eval(), and osl::eval::ml::King25MobilityY::setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc